### Method

# Foundry CompletionRequest get_bounds

#### Declaration [src]

    void
    foundry_completion_request_get_bounds (
      FoundryCompletionRequest* self,
      FoundryTextIter* begin,
      FoundryTextIter* end
    )

#### Description [src]

This gets the bounds for the completion request.

Generally, `begin` will be right after a break character such as “.” and `end` will be where cursor is currently.

#### Parameters

`begin`

  Type: `FoundryTextIter`

  Location for iter where completion started.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The returned data is owned by the instance.

`end`

  Type: `FoundryTextIter`

  Location for where completion request ended.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The returned data is owned by the instance.